function results=balancedthickness2_core(models,analysis_type,sub_analysis_type)
%BALANCEDTHICKNESS_CORE - linear solution sequence
%
%   Usage:
%      h_g=balancedthickness2_core(m,analysis_type,sub_analysis_type)

	%get FE model
	m=models.p;
	results.time=0;
	results.step=1;

	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
	%Take only the first two dofs of m.parameters.u_g
	vx_g=get(inputs,'vx',1);
	vy_g=get(inputs,'vy',1);

	%NOT WORKING YET!!!!!
	%vx_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,vx_g,'vx');
	%vy_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,vy_g,'vy');

	inputs=add(inputs,'vx_average',vx_g,'doublevec',1,m.parameters.NumberOfVertices);
	inputs=add(inputs,'vy_average',vy_g,'doublevec',1,m.parameters.NumberOfVertices);

	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
	results.h_g=diagnostic_core_linear(m,analysis_type,sub_analysis_type);

	displaystring(m.parameters.Verbose,'\n%s',['averaging over vertices']);
	results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.h_g);

	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
	%results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.loads,m.materials,m.parameters,results.h_g,'thickness');

end %end function
